Subject: Re: libwww compilation
From: "Gerrit P. Haase" <[email-masked]>
To: jeremy ekers <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 3 May 2004 15:31:43 +0200

Hmmm, it is problematic to build it with shared libraries.  Circular
dependencies are not possible on Cygwin/Windows (libwwwdir requires
libwwwfile which requires libwwwdir or the other way round).
The same with the optional parts, libwwwxml, libwwwdav, libwwwzip
require libwwwapp which requires the other three to build...

Easiest approach would be to put all in one library, call it `libwww'
and then build the executables against this instead of using more than a
dozen small libs.

Currently the build is halted, seems to be not that easy when the expat,
zip and dav parts should be included.

I'll try to get it up somehow, wait a minute.

Gerrit

-- 
Gerrit wrote:

> jeremy wrote:

> I'm building libwww-5.4.0 right now and I hope it will be finished
> today, I will post a patch against the 5.4.0 sources then.

> Gerrit

>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1

>> Following on from my earlier post, I have compiled libwww v5.4 without
>> the expat contained within it, using

>>         configure --without-expat

>> but this doesn't work with the latest CVS; it tries to compile it
>> anyway. Does this mean that part of libwww won't work? My final
>> destination in all this is compiling xmlrpc-c.

>> ahnkle wrote:

>> |
>> | Hi
>> |
>> | I am trying to compile libwww, but not having much success. Has anyone
>> | compiled the latest CVS recently? I have looked through the mailing
>> | lists for cygwin and libwww, and the cygwin FAQ.
>> |
>> | During the making of expat, one of the libwww libraries, I get the
>> | following:
>> |
>> |
>> ====================================================================
>> | | /bin/bash ./libtool --silent --mode=link gcc -g -O2 -Wall
>> | -Wmissing-prototypes -Wstrict-prototypes -fexceptions   -I./lib -I.
>> | -no-undefined -version-i
>> | | nfo 4:0:4 -rpath /usr/local/lib  -o libexpat.la lib/xmlparse.lo
>> | lib/xmltok.lo lib/xmlrole.lo
>> | |
>> |
>> /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/../../../libcygwin.a(libcmain.o)(.text+0x7c):

>> |
>> | undefined reference to `_WinMain@16'
>> |
>> ====================================================================
>> |
>> | Any help welcome.
>> -----BEGIN PGP SIGNATURE-----
>> Version: GnuPG v1.2.4 (Cygwin)
>> Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

>> iD8DBQFAkLtFus8idUCUH40RAqvAAKCohXTsGb0BrAgXZ8U59aFDO0uv3QCbBw/v
>> D2UhT/KqRD6sHYyHZj8suO0=
>> =u65F
>> -----END PGP SIGNATURE-----

>> --
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> Problem reports:       http://cygwin.com/problems.html
>> Documentation:         http://cygwin.com/docs.html
>> FAQ:                   http://cygwin.com/faq/

-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/